echo "building the isip_verify utility ..."
echo ""
cd $ISIP_VERIFICATION/isip_verify
make

echo "building the databases ..."
echo ""
$ISIP_VERIFICATION/scripts/make_db.sh

echo "training the speaker model ..."
echo ""
$ISIP_VERIFICATION/scripts/train_speaker.sh

echo "training the imposter model ..."
echo ""
$ISIP_VERIFICATION/scripts/train_imposter.sh

echo "performing verification ..."
echo ""

cd $ISIP_VERIFICATION/isip_vv
./configure
make install
source ISIP_VV_ENV.sh

isip_vv  -speaker $ISIP_VERIFICATION/test/speaker/params_test.sof \
	 -imposter $ISIP_VERIFICATION/test/imposter/params_test.sof \
	 -output $ISIP_VERIFICATION/speaker.res \
	 $ISIP_VERIFICATION/data/lists/speaker/identifiers_test.sof

isip_vv  -speaker $ISIP_VERIFICATION/test/speaker/params_test.sof \
	 -imposter $ISIP_VERIFICATION/test/imposter/params_test.sof \
	 -output $ISIP_VERIFICATION/imposter.res \
	 $ISIP_VERIFICATION/data/lists/imposter/identifiers_test.sof
